/*
// File:		ImapCallback.hpp
//
// Version:		mail.it library 1.0
//
// Copyright:	(C) 2007 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __IMAPCALLBACK_HPP__
#define __IMAPCALLBACK_HPP__

#include <EmaiIMAP.hpp>

/*!
// @brief	Constants for user data for imap sessions
//
// @see		ImapEnumUserData
*/
enum ImapEnumUserData
{
	ImapStatusText = 'STAT',			/*!< size of HWND, using for showing status text*/
	ImapCurrentPercent = 'PERC',		/*!< size of EmaiUint32, contains percent progress*/
	ImapPercentText = 'HWND'			/*!< size of HWND, using for showing percent progress*/
};

/*!
// @class	ImapCallback
// @brief	Wrapper class for EmaiImapStatusCallback
//
// @see		Emai::ImapStatusCallback
*/
class ImapCallback : public Emai::ImapStatusCallback
{

	virtual int							OnOperation(
												Emai::ImapSession& inSession,
												EmaiUint32 inOperationCode);

	virtual int							OnDataSent(
												Emai::ImapSession& inSession,
												EmaiUint32 inSentSize,
												EmaiUint32 inTotalSize);
	virtual int							OnDataReceived(
												Emai::ImapSession& inSession,
												EmaiUint32 inReceivedSize,
												EmaiUint32 inTotalSize);
	virtual int							OnServerError(
												Emai::ImapSession& inSession,
												EmaiConstCharPtr inServerReply,
												EmaiUint32 inReplyCode);
public:
};


#endif /*__IMAPCALLBACK_HPP__*/
